## berkeley-abc 1.01%2b20141105hg5b5af75%2bdfsg

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 MODULES := \
 	$(wildcard src/ext*) \
-	src/base/abc src/base/abci src/base/cmd src/base/io src/base/main \
-	src/base/ver src/base/wlc src/base/cba src/base/pla src/base/test \
+	src/base/abc src/base/abci src/base/cmd src/base/io \
+	src/base/main src/base/ver src/base/wlc src/base/test \
 	src/bdd/cudd src/bdd/dsd src/bdd/epd src/bdd/mtr src/bdd/parse \
 	src/bdd/reo src/bdd/cas \
 	src/map/mapper src/map/mio src/map/super src/map/if \
@@ -42,14 +42,9 @@
 	$(CC) arch_flags.c -o arch_flags
 
 ARCHFLAGS ?= $(shell $(CC) arch_flags.c -o arch_flags && ./arch_flags)
-ARCHFLAGS := $(ARCHFLAGS)
-
 OPTFLAGS  ?= -g -O #-DABC_NAMESPACE=xxx
 
-CFLAGS    += -Wall -Wno-unused-function -Wno-write-strings -Wno-sign-compare $(OPTFLAGS) $(ARCHFLAGS) -Isrc
-ifneq ($(findstring arm,$(shell uname -m)),)
-	CFLAGS += -DABC_MEMALIGN=4
-endif
+CFLAGS   += -Wall -Wno-unused-function -Wno-write-strings -Wno-sign-compare $(OPTFLAGS) $(ARCHFLAGS) -Isrc
 
 # Set -Wno-unused-bug-set-variable for GCC 4.6.0 and greater only
 ifneq ($(or $(findstring gcc,$(CC)),$(findstring g++,$(CC))),)
@@ -72,7 +67,7 @@
 endif
 
 # LIBS := -ldl -lrt
-LIBS += -ldl -lm
+LIBS += -ldl
 ifneq ($(findstring Darwin, $(shell uname)), Darwin)
    LIBS += -lrt
 endif
