=== debian/changelog ===
berkeley-abc (1.01+20140822hg4d547a5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #761364)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 05 Sep 2014 21:17:26 +0200
