=== debian/control ===
Source: berkeley-abc
Section: electronics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9), libreadline-dev, libbz2-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/debian-science/packages/berkeley-abc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/berkeley-abc.git
Homepage: http://www.eecs.berkeley.edu/~alanmi/abc/

Package: berkeley-abc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ABC - A System for Sequential Synthesis and Verification 
 This is a growing software system for synthesis and verification of binary
 sequential logic circuits appearing in synchronous hardware designs. ABC
 combines scalable logic optimization based on And-Inverter Graphs (AIGs),
 optimal-delay DAG-based technology mapping for look-up tables and standard
 cells, and innovative algorithms for sequential synthesis and verification.
 .
 ABC provides an experimental implementation of these algorithms and a
 programming environment for building similar applications. Future development
 will focus on improving the algorithms and making most of the packages
 stand-alone. This will allow the user to customize ABC for their needs as if
 it were a tool-box rather than a complete tool.
