## berkeley-abc 1.01+20141105hg5b5af75+dfsg

=== debian/changelog ===
berkeley-abc (1.01+20141105hg5b5af75+dfsg-3) unstable; urgency=medium

  * debian/patches/04_memory_alignment_fix.patch:
    - Fixed error in patch..

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 13 Apr 2015 21:56:02 +0200

berkeley-abc (1.01+20141105hg5b5af75+dfsg-2) unstable; urgency=medium

  * debian/patches/04_memory_alignment_fix.patch:
    - Patch for memory alignment issue - already applied upstream
  * debian/patches/abc-bugfix-20150403.diff (Closes: #782027)
  * Patches from Johann Klammer (Thanks):
    - debian/patches/reproducibility.patch
      Patch for reproducibility (Closes: #780449)
    - debian/patches/writepla.patch
      Fixed "fails to export trivial .PLA files" (Closes: #780450)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 31 Mar 2015 16:12:51 +0200

berkeley-abc (1.01+20141105hg5b5af75+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Updated standards version to 3.9.6
  * Added new copyright info for new files to d/copyright
  * Regenerated all patches
  * Enabled hardening=+all

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 08 Nov 2014 23:22:34 +0100
