=== debian/changelog ===
berkeley-abc (1.01+20150706hgc3698e0+dfsg-2) unstable; urgency=low

  * debian/man:
    - Added more sensible info in man page
    - Using txt2man to generate man page from .txt file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Aug 2015 21:36:28 +0200

berkeley-abc (1.01+20150706hgc3698e0+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 18 Aug 2015 12:16:35 +0200

berkeley-abc (1.01+20150424hg779de2d+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 29 May 2015 16:20:05 +0200
