=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>= 9), libreadline-dev, libbz2-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/berkeley-abc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/berkeley-abc.git
 Homepage: http://www.eecs.berkeley.edu/~alanmi/abc/
