=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_auto_clean:
	rm -f berkeley-abc
	dh_auto_clean

override_dh_auto_build:
	make PROG="abc" MSG_PREFIX="ABC: "
	cp abc berkeley-abc
