## berkeley-abc 1.01+20160215hgae7d65e+dfsg

=== debian/changelog ===
berkeley-abc (1.01+20160215hgae7d65e+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:58:41 +0000

berkeley-abc (1.01+20160215hgae7d65e+dfsg-1) unstable; urgency=low

  * New upstream version
    - Refreshed patches
  * d/control:
    - Vcs URLs now using https.
    - Standards version 3.9.7 - no needed changes
  * d/copyright: Updated copyright year for Debian packaging

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 28 Feb 2016 15:48:32 +0100
