=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>= 9), libreadline-dev, libbz2-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/berkeley-abc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/berkeley-abc.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/berkeley-abc.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/berkeley-abc.git
 Homepage: http://www.eecs.berkeley.edu/~alanmi/abc/
 
 Package: berkeley-abc
