=== debian/changelog ===
berkeley-abc (1.01+20161002hgeb6eca6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * d/control: New Standards Version 3.9.8 - no needed changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 06 Nov 2016 10:08:50 +0100
