=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>= 9), libreadline-dev, libbz2-dev,
                zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/berkeley-abc.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/berkeley-abc.git
 Homepage: http://www.eecs.berkeley.edu/~alanmi/abc/
