## berkeley-abc 1.01+20180801git3fb3c6b+dfsg

=== debian/changelog ===
berkeley-abc (1.01+20180801git3fb3c6b+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/berkeley-abc.lintian-overrides:
    - Override some false positives for spelling checks
  * debian/compat: Set to 11
  * debian/control:
    - debhelper >= 11
    - Standards version 4.2.0 - no changes
    - VCS URL now pointing to salsa
    - Fix some whitespace errors
  * debian/copyright
    - Using HTTPS for Format field
    - Added "Files-Excluded" for those excluded during source repackaging
    - Copyright information updated for upstream changes
  * debian/patches/0006-Fix-spelling-errors.patch
    - A number of spelling errors fixed
  * debian/patches:
    - All patches refreshed so that they work applies cleanly with gbp
  * debian/rules:
    - Set ABC_MAKE_VERBOSE so that build command invokations are shown.
    - Whitespace errors fixed
  * debian/tests:
    - Create a simple autopkgtest which tests that the executable can be
      started and call the command "help".
  * debian/watch:
    - add watch files which tracks GIT HEAD and renames to +dfsg after
      repackaging

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 05 Aug 2018 20:53:59 +0200
