=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9), libreadline-dev, libbz2-dev,
+Build-Depends: debhelper (>= 11), libreadline-dev, libbz2-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/berkeley-abc.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/berkeley-abc.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/science-team/berkeley-abc
+Vcs-Git: https://salsa.debian.org/science-team/berkeley-abc.git
 Homepage: http://www.eecs.berkeley.edu/~alanmi/abc/
 
 Package: berkeley-abc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: ABC - A System for Sequential Synthesis and Verification 
+Description: ABC - A System for Sequential Synthesis and Verification
  This is a growing software system for synthesis and verification of binary
  sequential logic circuits appearing in synchronous hardware designs. ABC
  combines scalable logic optimization based on And-Inverter Graphs (AIGs),
