=== debian/watch ===
version=4
opts=mode=git,\
dversionmangle=s/1\.01\+(\d{8})(git|hg)([a-f0-9]{7}).*/0\.0~git$1\.$3/,\
oversionmangle=s/0\.0~git(\d{8})\.([a-f0-9]{7})$/1\.01+$1git$2+dfsg/ \
https://github.com/berkeley-abc/abc.git \
HEAD debian uupdate
