## berkeley-abc 1.01+20181130git163bba5+dfsg

=== debian/changelog ===
berkeley-abc (1.01+20181130git163bba5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - New standards version 4.2.1 - no changes
  * debian/upstream/metadata: Add upstream metadata file
  * debian/watch: Improve mangling

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 03 Dec 2018 20:51:46 +0000
