=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_clean:
 	rm -f berkeley-abc
 	dh_auto_clean
 
 override_dh_auto_build:
-	make PROG="abc" MSG_PREFIX="ABC: "
+	make PROG="abc" MSG_PREFIX="ABC: " ABC_MAKE_VERBOSE=1
 	cp abc berkeley-abc
-
