=== Makefile ===
--- 
+++ 
@@ -4,17 +4,19 @@
 LD   := $(CXX)
 
 MSG_PREFIX ?=
+ABCSRC = .
 
 $(info $(MSG_PREFIX)Using CC=$(CC))
 $(info $(MSG_PREFIX)Using CXX=$(CXX))
 $(info $(MSG_PREFIX)Using LD=$(LD))
 
 PROG := abc
+OS := $(shell uname -s)
 
 MODULES := \
 	$(wildcard src/ext*) \
 	src/base/abc src/base/abci src/base/cmd src/base/io src/base/main src/base/exor \
-	src/base/ver src/base/wlc src/base/bac src/base/cba src/base/pla src/base/test \
+	src/base/ver src/base/wlc src/base/wln src/base/acb src/base/bac src/base/cba src/base/pla src/base/test \
 	src/map/mapper src/map/mio src/map/super src/map/if \
 	src/map/amap src/map/cov src/map/scl src/map/mpm \
 	src/misc/extra src/misc/mvc src/misc/st src/misc/util src/misc/nm \
@@ -22,8 +24,8 @@
 	src/misc/mem src/misc/bar src/misc/bbl src/misc/parse \
 	src/opt/cut src/opt/fxu src/opt/fxch src/opt/rwr src/opt/mfs src/opt/sim \
 	src/opt/ret src/opt/fret src/opt/res src/opt/lpk src/opt/nwk src/opt/rwt \
-	src/opt/cgt src/opt/csw src/opt/dar src/opt/dau src/opt/sfm \
-	src/sat/bsat src/sat/csat src/sat/msat src/sat/psat src/sat/cnf src/sat/bmc \
+	src/opt/cgt src/opt/csw src/opt/dar src/opt/dau src/opt/dsc src/opt/sfm src/opt/sbd \
+	src/sat/bsat src/sat/xsat src/sat/satoko src/sat/csat src/sat/msat src/sat/psat src/sat/cnf src/sat/bmc src/sat/glucose \
 	src/bool/bdc src/bool/deco src/bool/dec src/bool/kit src/bool/lucky \
 	src/bool/rsb src/bool/rpo \
 	src/proof/pdr src/proof/abs src/proof/live src/proof/ssc src/proof/int \
@@ -39,9 +41,15 @@
 $(ARCHFLAGS_EXE) : arch_flags.c
 	$(CC) arch_flags.c -o $(ARCHFLAGS_EXE)
 
-INCLUDES += -Isrc
-
-ARCHFLAGS ?= $(shell $(CC) arch_flags.c -o $(ARCHFLAGS_EXE) && $(ARCHFLAGS_EXE))
+INCLUDES += -I$(ABCSRC)/src
+
+# Use C99 stdint.h header for platform-dependent types
+ifdef ABC_USE_STDINT_H
+    ARCHFLAGS ?= -DABC_USE_STDINT_H=1
+else
+    ARCHFLAGS ?= $(shell $(CC) $(ABCSRC)/arch_flags.c -o $(ARCHFLAGS_EXE) && $(ARCHFLAGS_EXE))
+endif
+
 ARCHFLAGS := $(ARCHFLAGS)
 
 OPTFLAGS  ?= -g -O
@@ -72,6 +80,10 @@
 ifndef ABC_USE_NO_READLINE
   CFLAGS += -DABC_USE_READLINE $(ABC_READLINE_INCLUDES)
   LIBS += $(ABC_READLINE_LIBRARIES)
+  ifeq ($(OS), FreeBSD)
+    CFLAGS += -I/usr/local/include
+    LDFLAGS += -L/usr/local/lib
+  endif
   $(info $(MSG_PREFIX)Using libreadline)
 endif
 
@@ -107,21 +119,34 @@
 
 $(info $(MSG_PREFIX)Found GCC_VERSION $(GCC_VERSION))
 ifeq ($(findstring $(GCC_MAJOR),0 1 2 3),)
-$(info $(MSG_PREFIX)Found GCC_MAJOR>=4)
+ifeq ($(GCC_MAJOR),4)
+$(info $(MSG_PREFIX)Found GCC_MAJOR==4)
 ifeq ($(findstring $(GCC_MINOR),0 1 2 3 4 5),)
 $(info $(MSG_PREFIX)Found GCC_MINOR>=6)
 CFLAGS += -Wno-unused-but-set-variable
 endif
+else
+$(info $(MSG_PREFIX)Found GCC_MAJOR>=5)
+CFLAGS += -Wno-unused-but-set-variable
+endif
 endif
 
 endif
 
 # LIBS := -ldl -lrt
-LIBS += -ldl -lm
+LIBS += -lm
+ifneq ($(OS), FreeBSD)
+  LIBS += -ldl
+endif
+
 ifneq ($(findstring Darwin, $(shell uname)), Darwin)
    LIBS += -lrt
 endif
 
+ifdef ABC_USE_LIBSTDCXX
+   LIBS += -lstdc++
+   $(info $(MSG_PREFIX)Using explicit -lstdc++)
+endif
 
 $(info $(MSG_PREFIX)Using CFLAGS=$(CFLAGS))
 CXXFLAGS += $(CFLAGS)
@@ -131,7 +156,7 @@
 
 .PHONY: all default tags clean docs cmake_info
 
-include $(patsubst %, %/module.make, $(MODULES))
+include $(patsubst %, $(ABCSRC)/%/module.make, $(MODULES))
 
 OBJ := \
 	$(patsubst %.cc, %.o, $(filter %.cc, $(SRC))) \
@@ -139,6 +164,8 @@
 	$(patsubst %.c, %.o,  $(filter %.c, $(SRC)))  \
 	$(patsubst %.y, %.o,  $(filter %.y, $(SRC)))
 
+LIBOBJ := $(filter-out src/base/main/main.o,$(OBJ))
+
 DEP := $(OBJ:.o=.d)
 
 # implicit rules
@@ -157,15 +184,15 @@
 
 %.d: %.c
 	@echo "$(MSG_PREFIX)\`\` Generating dependency:" $(LOCAL_PATH)/$<
-	$(VERBOSE)./depends.sh $(CC) `dirname $*.c` $(OPTFLAGS) $(INCLUDES) $(CFLAGS) $*.c > $@
+	$(VERBOSE)$(ABCSRC)/depends.sh $(CC) `dirname $*.c` $(OPTFLAGS) $(INCLUDES) $(CFLAGS) $< > $@
 
 %.d: %.cc
 	@echo "$(MSG_PREFIX)\`\` Generating dependency:" $(LOCAL_PATH)/$<
-	$(VERBOSE)./depends.sh $(CXX) `dirname $*.cc` $(OPTFLAGS) $(INCLUDES) $(CXXFLAGS) $*.cc > $@
+	$(VERBOSE)$(ABCSRC)/depends.sh $(CXX) `dirname $*.cc` $(OPTFLAGS) $(INCLUDES) $(CXXFLAGS) $< > $@
 
 %.d: %.cpp
 	@echo "$(MSG_PREFIX)\`\` Generating dependency:" $(LOCAL_PATH)/$<
-	$(VERBOSE)./depends.sh $(CXX) `dirname $*.cpp` $(OPTFLAGS) $(INCLUDES) $(CXXFLAGS) $*.cpp > $@
+	$(VERBOSE)$(ABCSRC)/depends.sh $(CXX) `dirname $*.cpp` $(OPTFLAGS) $(INCLUDES) $(CXXFLAGS) $< > $@
 
 ifndef ABC_MAKE_NO_DEPS
 -include $(DEP)
@@ -184,12 +211,16 @@
 
 $(PROG): $(OBJ)
 	@echo "$(MSG_PREFIX)\`\` Building binary:" $(notdir $@)
-	$(VERBOSE)$(LD) -o $@ $^ $(LIBS)
-
-lib$(PROG).a: $(OBJ)
+	$(VERBOSE)$(LD) -o $@ $^ $(LDFLAGS) $(LIBS)
+
+lib$(PROG).a: $(LIBOBJ)
 	@echo "$(MSG_PREFIX)\`\` Linking:" $(notdir $@)
 	$(VERBOSE)ar rv $@ $?
 	$(VERBOSE)ranlib $@
+
+lib$(PROG).so: $(LIBOBJ)
+	@echo "$(MSG_PREFIX)\`\` Linking:" $(notdir $@)
+	$(VERBOSE)$(CXX) -shared -o $@ $^ $(LIBS)
 
 docs:
 	@echo "$(MSG_PREFIX)\`\` Building documentation." $(notdir $@)
