=== debian/changelog ===
berkeley-abc (1.01+20191006git52a8ebb+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #916164)
    + Let dh_auto_build pass cross tools to make.
    + Use the libc's stdint.h instead of arch_flags.c.

  [ Ruben Undheim ]
  * New upstream release
    - Refreshed patches
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 20 Oct 2019 09:31:32 +0200
