=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11), libreadline-dev, libbz2-dev,
+Build-Depends: debhelper-compat (= 12), libreadline-dev, libbz2-dev,
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/berkeley-abc
 Vcs-Git: https://salsa.debian.org/science-team/berkeley-abc.git
 Homepage: http://www.eecs.berkeley.edu/~alanmi/abc/
