=== debian/changelog ===
berkeley-abc (1.01+20211229git48498af+dfsg-2) unstable; urgency=medium

  * Some cosmetics that did not make it into the sponsored package
    - pretty-printing build-deps
    - R-R-R: no
    - New standards version 4.6.0

  * Remove reproducibility.patch to fix segfault

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 29 Jan 2022 02:26:07 +0100

berkeley-abc (1.01+20211229git48498af+dfsg-1) unstable; urgency=medium

  * New upstream version 1.01+20211229git48498af+dfsg
  * Refresh patches

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 02 Jan 2022 02:47:17 +0100
