## berkeley-abc 1.01+20220610git8eb651c+dfsg

=== debian/changelog ===
berkeley-abc (1.01+20220610git8eb651c+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 1.01+20220610git8eb651c+dfsg

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 18 Jun 2022 22:58:23 +0200

berkeley-abc (1.01+20220306gitee22833+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Flagging tests as superficial (Closes: #971451).

  [ Daniel Gröber ]
  * Exclude upstream gitattributes to fix git crlf conversion issue
  * New upstream version 1.01+20220306gitee22833+dfsg
  * Update d/copyright Source, we're using the yosys fork
  * Refresh patches
  * Submit spelling errors patch upstream

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 26 Mar 2022 18:27:53 +0100
